package models

type Responder interface {
	Respond() Responder
}

type Response struct {
	StatusCode int `json:"status_code"`
	Message    string
	Error      string
}

func (r Response) Respond() Responder {
	return r
}

type UploadDocumentResponse struct {
	Response
	Data UploadDocumentResponseData
}

type UploadDocumentResponseData struct {
	Bucket string
	Object string
	Size   float64
}
